import { Type } from 'class-transformer';
import {
  ArrayMinSize,
  IsArray,
  IsNotEmpty,
  IsString,
  ValidateNested,
} from 'class-validator';
import { UsernameDto } from './username.dto';

export class CreateAuthenticationRequestDto {
  @IsString()
  @IsNotEmpty()
  userId: string;

  @Type(() => UsernameDto)
  @IsArray()
  @ArrayMinSize(1)
  @ValidateNested({ each: true })
  usernames: UsernameDto[];

  @IsString()
  @IsNotEmpty()
  password: string;
}
